package hu.se.app15;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Timer to get the time between to time stamps.
 */
public class Timer {

	public long getDeltaInSeconds(String start, String end) {
		DateFormat formatter = new SimpleDateFormat("HH:mm:ss");
		try {
			Date startDate = formatter.parse(start);
			Date endDate = formatter.parse(end);

			if (endDate.before(startDate)) {
				return 0;
			} else {
				double deltaInMS = endDate.getTime() - startDate.getTime();
				return Math.round(deltaInMS / 1000);
			}
		} catch (ParseException e) {
			return 0;
		}

	}

}
